[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#374185: mkvmlinuz: syntax errors in script

Package: mkvmlinuz
Version: 22
Severity: grave
Justification: make package in question unusable


mkvmlinuz currently fails to work at all. There are a number of syntax
errors in the script, which would need to be fixed before it can ever
hope to run successfully. Did whoever uploaded this actually test it
before uploading?

Anyway. Patch follows:

--- mkvmlinuz.orig	2006-06-17 20:03:05.000000000 +0200
+++ /usr/sbin/mkvmlinuz	2006-06-17 20:13:40.000000000 +0200
@@ -60,7 +60,7 @@
 # use non-option arguments as release version and kernel image file if needed
-shift $((OPTIND-1))
+shift $(( $OPTIND - 1 ))
 if test -z "$release" -a -n "$1"; then
@@ -115,7 +115,8 @@
 if test -z "$noinitrd" -a -z "$initrd"; then
     # guess the location of an initrd, but don't try too hard
-    if initrd=${kernel/vmlinux/initrd.img}; test -r $initrd; then
+    initrd=$(echo $kernel | sed -e 's/vmlinux/initrd.img/')
+    if test -r $initrd; then

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.16-2-powerpc
Locale: LANG=nl_BE.UTF-8@euro, LC_CTYPE=nl_BE.UTF-8@euro (charmap=UTF-8)

Versions of packages mkvmlinuz depends on:
ii  binutils             2.16.1cvs20060413-1 The GNU assembler, linker and bina
ii  debconf [debconf-2.0 1.5.2               Debian configuration management sy

mkvmlinuz recommends no packages.

-- debconf information excluded

Reply to: